aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-datetime-format-mail/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-06-01 09:31:08 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-06-01 09:31:08 +0000
commit6b98bd68969eda3db631beb42ab04e8971476f67 (patch)
treef6db828afae551acc9d2ac9663cf0d3560bef58f /testing/perl-datetime-format-mail/APKBUILD
parent4ad9349a4135087214c6ca5170d7faaebc29e796 (diff)
downloadaports-6b98bd68969eda3db631beb42ab04e8971476f67.tar.gz
aports-6b98bd68969eda3db631beb42ab04e8971476f67.tar.bz2
aports-6b98bd68969eda3db631beb42ab04e8971476f67.tar.xz
testing/perl-datetime-format-mail: new aport
DateTime::Format::Mail perl module http://search.cpan.org/dist/DateTime-Format-Mail/
Diffstat (limited to 'testing/perl-datetime-format-mail/APKBUILD')
-rw-r--r--testing/perl-datetime-format-mail/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-datetime-format-mail/APKBUILD b/testing/perl-datetime-format-mail/APKBUILD
new file mode 100644
index 0000000000..f5c3edef0b
--- /dev/null
+++ b/testing/perl-datetime-format-mail/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-datetime-format-mail
+pkgver=0.3001
+pkgrel=0
+pkgdesc="DateTime::Format::Mail perl module"
+url="http://search.cpan.org/dist/DateTime-Format-Mail/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl perl-datetime perl-params-validate"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/DateTime-Format-Mail-$pkgver.tar.gz"
+
+_builddir="$srcdir"/DateTime-Format-Mail-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="15e36249e866463bd0237262a8e43b16 DateTime-Format-Mail-0.3001.tar.gz"